<?php

    include("../../classes/database.class.php");
    include("../../classes/documentoModel.class.php");
    include("../../classes/documentoController.class.php");

    $id = $_POST["id"];
    $nomeUsuario = $_POST["nomeUsuario"];
    $nome = $_POST["nome"];

    $ficheiro = $_FILES["documento"];
    $nomeFicheiro = $ficheiro["name"];
    $tipoFicheiro = $ficheiro["type"];
    $nomeTemporarioFicheiro = $ficheiro["tmp_name"];
    $erroFicheiro = $ficheiro["error"];
    $tamanhoFicheiro = $ficheiro["size"];
    $extensaoFicheiro = explode(".", $nomeFicheiro);
    $extensaoActualFicheiro = strtolower(end($extensaoFicheiro));
    $permitido = array("jpg", "jpeg", "png", "pdf");

    $doc = new DocumentoController($id, $nomeUsuario, $nome, $ficheiro, $nomeFicheiro, $tipoFicheiro, $nomeTemporarioFicheiro, $erroFicheiro, $tamanhoFicheiro, $extensaoFicheiro, $extensaoActualFicheiro, $permitido);
    
    $id = $doc->createDocumento();
    echo $id;